Subject: bug#74281: 30.0.91; font-lock mode hangs on scrolling large Scheme file

From: Divya Ranjan <[email-masked]>
Date: Mon, 30 Dec 2024 05:35:48 +0000

Apologies, I mistyped during travelling, the file I was referring to was the original file of the bug report. `tex.scm` is the file from the Guix source tree: /gnu/packages/tex.scm

Regards,

On 30 December 2024 04:45:19 GMT, "Stefan Monnier via Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:
>> I recently did a build of `master`, I don't think the bug was fixed.
>> Have you tested with `tex.el`?
>
>Your bug report was about Scheme files.
>If you see the "same" problem for (La)TeX files, I think it would be
>best to open a new bug report for it.
>
>IIRC, `font-lock--syntax-table-affects-ppss` can't be nil in
>`latex-mode` (or at least it's not clear how to do that without breaking
>something) because of how $...$ is paired (which doesn't always obey the
>nesting of braces).
>
>
>        Stefan
>
>
>
>

Divya Ranjan, Mathematics, Philosophy and Libre Software